webdevqa.jp.net

xCode 4で10.5のベースSDKを追加する方法

私は昨晩xCode 4をインストールし、10.5以降のOSをサポートするソフトウェアをコンパイルしようとしました。

「ベースSDKが見つかりません」というエラーメッセージが表示されました。 10.5ベースSDKがメニューにないことがわかりました。

その基本SDKを取得する方法はありますか?この問題の回避策はありますか?

前もって感謝します。

38
Raiyan Kabir

10.5 SDKの削除は、ビルドシステムにXcodeを使用しないが、特定のSDKが配置されることを(おそらくばかげて)期待するソフ​​トウェアの問題でもあります。

SDKを再度追加するために、Xcode 3.2.6ダウンロードからMacOSX10.5.pkgを再インストールしました。これは、ディスクイメージ上の「パッケージ」という名前の隠しフォルダーにあります。 .dmgファイルをマウントした後、open /Volumes/Xcode\ and\ iOS\ SDK/Packages/を使用してコマンドラインから開くことができます。パッケージをインストールするときは、[インストール場所の変更]を選択し、インストール先のドライブをOption-クリックして、フォルダーを指定できるようにします。ターゲットフォルダーは/Developerにする必要があります。標準以外の場所に配置した場合は、Xcode 4インストールのベースにする必要があります。

57
Nic Benders

別のXcodeインストールから/YourDeveloperFolder/SDKs/...にコピーできますが、Xcode 4はユニバーサル(Intel/PPC)バイナリをビルドしません。基本的に10.5 SDKを使用してもほとんど意味がありません(「このメソッドはまだ存在する」スタイルの警告)。 Apple(devforums経由))の公式の単語:10.5/PPCサポートが必要な場合は、Xcode 3を使用してください。

14
Joshua Nozzi